Bug 855301

Summary: spice-xpi doesn't build on on non x86
Product: [Fedora] Fedora Reporter: Peter Robinson <pbrobinson>
Component: spice-xpiAssignee: Peter Hatina <phatina>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: cfergeau, dan, gspurgeon, hdegoede, marcandre.lureau, phatina, tsmetana
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-09 04:27:53 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 613529    
Bug Blocks: 245418    
Attachments:
Description Flags
Remove check for x86 arch so it will allow building on any arch
none
apply patches to spec none

Description Peter Robinson 2012-09-07 05:37:43 EDT
Created attachment 610672 [details]
Remove check for x86 arch so it will allow building on any arch

ARM is a perfect client for a spice thin client and spice-gtk is currently supported on ARM. For some reason spice-xpi is not even though I can't see any reason why it shouldn't work.

The following patches (one to the spec and one to configure.ac) allows it to build. I'll be testing further to see if it works.
Comment 1 Peter Robinson 2012-09-07 05:40:55 EDT
Created attachment 610674 [details]
apply patches to spec
Comment 2 Dan HorĂ¡k 2012-09-07 05:48:40 EDT
I think similar cpu check was removed from spice-gtk some time ago.
Comment 3 Peter Robinson 2012-09-07 06:19:46 EDT
(In reply to comment #2)
> I think similar cpu check was removed from spice-gtk some time ago.

Yes, but I just discovered it depends on spice-client too.
Comment 4 Peter Robinson 2012-09-07 06:20:06 EDT
Scratch build on ARM http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1123594
Comment 5 Peter Robinson 2012-09-07 09:09:25 EDT
The above works with the patches to spice posted on the dependant bug on an ARMv7 device. Arch might be better set to 

ExclusiveArch:  i686 x86_64 armv6l armv7l armv7hl

for the moment.
Comment 6 Peter Hatina 2012-09-11 07:38:55 EDT
Looks good, pushed to f18 git.
Comment 7 DaGeek 2012-09-11 07:59:25 EDT
can this also be tested/built on Fedora17 ?
So that it can become available in the update repos before Fedora18 GA ?
Comment 8 Peter Hatina 2013-01-09 04:27:53 EST
There is a package available for f17, spice-xpi-2.8-2.fc17